org.springframework.context.annotation

## Enum AdviceMode

- java.lang.Object
- - java.lang.Enum<AdviceMode>
  - - org.springframework.context.annotation.AdviceMode

All Implemented Interfaces:
  Serializable, Comparable<AdviceMode>

    public enum AdviceMode
    extends Enum<AdviceMode>

Enumeration used to determine whether JDK proxy-based or AspectJ weaving-based advice should be applied.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `EnableAsync.mode()`, `AsyncConfigurationSelector.selectImports(org.springframework.context.annotation.AdviceMode)`, `EnableTransactionManagement.mode()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASPECTJ`
`PROXY`

### Method Summary

Methods
`static AdviceMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AdviceMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PROXY

    public static final AdviceMode PROXY

#### ASPECTJ

    public static final AdviceMode ASPECTJ

### Method Detail

#### values

    public static AdviceMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AdviceMode c : AdviceMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AdviceMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null